#include <mega8.h>   //
#include <stdio.h>   //            
#include <delay.h>   //                  
#include <16_2lcd.h>//


// 
unsigned long int N, M;
unsigned int Perepol_Timer0=0, Perepol_Timer1=0;

//   Timer/Counter 0
interrupt [TIM0_OVF] void timer0_ovf_isr(void){
Perepol_Timer0++;//   1
}

//   Timer/Counter 1
interrupt [TIM1_OVF] void timer1_ovf_isr(void){
Perepol_Timer1++;//   1
}


//  
void main(void){
char lcd_buffer[16];
PORTC=0x00;
DDRC=0x02;

PORTB=0x00;
DDRB=0b00001000;

PORTD=0x00;
DDRD=0b01101111;


// Timer/Counter 0
TCCR0=0x07;
TCNT0=0x00;

// Timer/Counter 1
TCCR1A=0x00;
TCCR1B=0x01;
TCNT1H=0x00;
TCNT1L=0x00;
ICR1H=0x00;
ICR1L=0x00;
OCR1AH=0x00;
OCR1AL=0x00;
OCR1BH=0x00;
OCR1BL=0x00;

// Timer(s)/Counter(s) Interrupt(s) initialization
TIMSK=0x05;

lcd_init();// LCD HD44780
lcd_puts(lcd_buffer);
while (1){// 
#asm("cli")
Perepol_Timer1=0;// 
Perepol_Timer0=0;// 
#asm("sei")// 
TCNT0=0;
TCNT1=0;
PORTC.1=1;
delay_ms(1000);//  1 
PORTC.1=0;
while ((~TIFR)&(1 << 5)){}//   
N=(((unsigned long int)(Perepol_Timer1))<<16)+ICR1; //     
M=(((unsigned long int)(Perepol_Timer0))<<8)+TCNT0;//     
lcd_clear();
sprintf(lcd_buffer, "%lu", M);
lcd_puts(lcd_buffer);
lcd_gotoxy(0,1);
sprintf(lcd_buffer, "%lu", N);
lcd_puts(lcd_buffer);
} }